/* Importar tipografía moderna */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

/* Estilos generales */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.header {
  position: sticky;
  top: 0;
  z-index: 1000; /* Asegura que quede por encima del contenido */
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #0071d431;
  font-size: 16px;
  font-weight: bold;
  color: #003366;
  padding: 15px 30px;
}


.titulo-header {
  font-size: 2em !important;
  font-weight: bold !important;
  color: #003366 !important;
}

.header-left,
.header-center,
.header-right {
  display: flex;
  align-items: center;
}

/* Estilo para el botón de hamburguesa */
#menu-btn {
  position: fixed;
  top: 20px;
  left: 20px;
  z-index: 10;
  background-color: transparent;
  border: none;
  font-size: 30px;
  color: #003366;
  /* Azul oscuro */
  cursor: pointer;
  transition: left 0.3s ease-in-out;
  /* Para moverlo junto con el menú */
}

.user-info {
  position: relative;
  cursor: pointer;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 200px;
  max-width: 90vw; /* Limita el ancho máximo al 90% de la ventana */
  right: 0; /* Empuja el dropdown hacia la izquierda */
  box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 1;
  padding: 10px;
  border-radius: 5px;
  white-space: normal;
  overflow-wrap: break-word;
  box-sizing: border-box;
}

.dropdown:hover .dropdown-content {
  display: block;
} 

.user-details {
  margin: 0 0 10px 0;
  font-size: 14px;
  color: #333;
  font-weight: normal;
}

/* Botón de cerrar sesión */
.btnSalir {
  padding: 8px 15px;
  background-color: #003366;
  /* Azul oscuro */
  color: white;
  border: none;
  border-radius: 5px;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.btnSalir:hover {
  background-color: #001f33;
  /* Tono más oscuro de azul oscuro */
  transform: scale(1.05);
}

.btnSalir:active {
  transform: scale(1);
}

/* Icono de cerrar sesión */
.icon.flaticon-salir {
  margin-left: 5px;
  height: 16px;
}

.contenido-principal {
  transition: margin-left 0.3s ease-in-out;
  width: 100%;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.logo {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.logoimg {
  width: 40%;
  max-width: 400px;
}

h2 {
  margin-top: 50px;
  display: flex;
  text-align: center;
  justify-content: center;
}

@media (max-width: 2000px) {

  body.menu-active .contenido-principal {
    margin-left: 125px !important;
  }

}


@media (max-width: 987px) {

  body.menu-active .contenido-principal {
    margin-left: 120px !important;
  }

}
